AnsweredAssumed Answered

Older SDK for K66F

Question asked by Sachin BS on May 13, 2019
Latest reply on May 16, 2019 by Alice_Yang

The current version of SDK for FRDM-K66F is 2.5. However, in mbed (https://github.com/ARMmbed/mbed-os/tree/master/targets/TARGET_Freescale/TARGET_MCUXpresso_MCUS/TARGET_K66F/drivers), the SDK version for FRDM-K66F is 2.2. The SAI code which works in SDK 2.5 does not work in SDK 2.2 in mbed and we have identified that updating SAI/SAI_EDMA drivers in mbed fixes the issues. 

 

Using the SDK building, I am only able to access SDK 2.5. We were planning to release some code with mbed so that it is easier for others to use. But, since the SAI code didn't from the newer version didn't work directly, I wanted to look at example code from SDK 2.2 and change the code accordingly. Could you tell me how to get an older SAI example from SDK 2.2 for K66F? 

Outcomes